package org.bench4q.agent.scenario.node;

import java.util.ArrayList;
import java.util.Stack;

import org.bench4q.agent.scenario.instruction.Instruction;
import org.bench4q.agent.scenario.instruction.TestInstruction;

/**
 * This class is the base class of those nodes that will be implemented in
 * plugin
 * 
 * This kind of design has some problems that PluginImplementBehavior need not
 * extends Behavior
 * 
 * @author chentienan
 *
 */
public abstract class PluginImplementBehavior extends Behavior {

	protected void checkCondition(ArrayList<Instruction> code,
			Stack<TestInstruction> conditions) {
		code.addAll(conditions);
	}
}
